| Version: 3.0.5

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Public Member Functions | List of all members
wxStatusBarPane Class Reference
Class List by Category » Data Structures

`#include <wx/statusbr.h>`

## Detailed Description

A status bar pane data container used by wxStatusBar.

##

Library: wxCore
Category: Data Structures

See also
  wxStatusBar

## Public Member Functions

| wxStatusBarPane (int style=wxSB_NORMAL, int width=0)
| Constructs the pane with the given style and width. More...
int | GetWidth () const
| Returns the pane width; it maybe negative, indicating a variable-width field. More...
int | GetStyle () const
| Returns the pane style. More...
wxString | GetText () const
| Returns the text currently shown in this pane. More...
bool | IsEllipsized () const
void | SetIsEllipsized (bool isEllipsized)
void | SetWidth (int width)
void | SetStyle (int style)
bool | SetText (const wxString &text)
| Set text. More...
bool | PushText (const wxString &text)
| Save the existing text on top of a stack and make the new text current. More...
bool | PopText ()
| Restore the message saved by the last call to Push() (unless it was changed by an intervening call to SetText()) and return true if we really restored anything. More...

## Constructor & Destructor Documentation

wxStatusBarPane::wxStatusBarPane | ( | int | style = `wxSB_NORMAL`,
|  | int | width = `0`
| ) |  |

Constructs the pane with the given style and width.

## Member Function Documentation

int wxStatusBarPane::GetStyle | ( |  | ) | const

Returns the pane style.

wxString wxStatusBarPane::GetText | ( |  | ) | const

Returns the text currently shown in this pane.

int wxStatusBarPane::GetWidth | ( |  | ) | const

Returns the pane width; it maybe negative, indicating a variable-width field.

bool wxStatusBarPane::IsEllipsized | ( |  | ) | const

bool wxStatusBarPane::PopText | ( |  | ) |

Restore the message saved by the last call to Push() (unless it was changed by an intervening call to SetText()) and return true if we really restored anything.

bool wxStatusBarPane::PushText | ( | const wxString & | text | ) |

Save the existing text on top of a stack and make the new text current.

Returns true if the text really changed.

void wxStatusBarPane::SetIsEllipsized | ( | bool | isEllipsized | ) |

void wxStatusBarPane::SetStyle | ( | int | style | ) |

bool wxStatusBarPane::SetText | ( | const wxString & | text | ) |

Set text.

Returns true if it changed or false if it was already set to this value.

void wxStatusBarPane::SetWidth | ( | int | width | ) |